package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

import java.time.LocalDate;

/**
 * POJO for CreditCard Payment.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 **/

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class CreditCardPayment {

    private long id;
    @NonNull private Customer customer;
    @NonNull private int number;
    @NonNull private String owner;
    @NonNull private LocalDate expiration;
    @NonNull private int checksum;
}