package de.hsel.itech.db.pojo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NonNull;
import lombok.RequiredArgsConstructor;

/**
 * POJO for Customer.
 *
 * @author Johannes Theiner
 * @version 0.1
 * @since 0.1
 */

@Data
@AllArgsConstructor
@RequiredArgsConstructor
public class Customer {

    private long id;
    @NonNull private String email;
    @NonNull private String name;
    @NonNull private String password;
    @NonNull private boolean admin;
}