package de.hsel.itech.servlet;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.io.PrintWriter;

public class Utillity {

    static public void insertFile(PrintWriter out, String fileName) {
        try (BufferedReader br = new BufferedReader(new FileReader(Utillity.class.getClassLoader().getResource(fileName).getFile()))) {
            for (String line = br.readLine(); line != null; line = br.readLine()) {
                out.println(line);
            }
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    static public void addInput(PrintWriter out, String label, String name){
        addInput(out,label,name,"");
    }

    static public void addInput(PrintWriter out, String label, String name, String value){
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-2 m-push-l-5\">");
        out.println(label);
        out.println("<input type=\"text\" name=\"" + name + "\" value=\"" + value + "\">");
        out.println("</div>");
        out.println("</div>");
    }

    static public void addValidationInput(PrintWriter out, String label, String name, String type, String value, String pattern){
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-2 m-push-l-5\">");
        out.println(label);
        out.println("<input type=\"" + type + "\" name=\"" + name + "\" value=\"" + value + "\"required pattern=\"" + pattern + "\">");
        out.println("</div>");
        out.println("</div>");
    }

    static public void addButton(PrintWriter out, String label, String url){
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-4 m-push-l-4\">");
        out.println("   <div class=\"m-button m-success\">");
        out.println("<a href=\"" + url + "\">");
        out.println(label);
        out.println("</a>");
        out.println(" </div>");
        out.println("</div>");
        out.println("</div>");
    }

    static public void addSubmitButton(PrintWriter out, String label){
        out.println(" <div class=\"m-row\">");
        out.println("  <div class=\"m-col-l-4 m-push-l-5\">");
        out.println("  <input type=\"" + "submit" + "\" value=\"" + label + "\">");
        out.println(" </div>");
        out.println("</div>");
    }
}
